%define oname   github_api

Name:       ruby-%{oname}
Version:    0.10.2
Release:    %mkrel 4
Summary:    Ruby wrapper for the GitHub API v3
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/peter-murach/github
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby wrapper that supports all of the GitHub API v3 methods(nearly 200).

It's build in a modular way, that is, you can either instantiate the whole api
wrapper Github.new or use parts of it e.i. Github::Repos.new if working solely
with repositories is your main concern.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt README.md


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.10.2-4.mga4
+ Revision: 561920
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.10.2-3.mga4
+ Revision: 561280
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.10.2-2.mga4
+ Revision: 540765
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 pterjan <pterjan> 0.10.2-1.mga4
+ Revision: 494303
- imported package ruby-github_api

